Skip to main content
`Ctrl`+`K`

# SNESLineSearchGetType

Gets the `SNESLinesearchType` of a `SNESLineSearch`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchGetType(SNESLineSearch linesearch, SNESLineSearchType *type)

Logically Collective

## Input Parameter

- linesearch - the line search context

## Output Parameter

- type - The type of line search, or `NULL` if not set

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchType`, `SNESLineSearchCreate()`, `SNESLineSearchSetFromOptions()`, `SNESLineSearchSetType()`

## Level

intermediate

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages